Rename an audience

PATCH
/v1/audiences/{id}

Authorization

bearerAuth
headerAuthorizationBearer <token>

A secret API key from the dashboard: coss_live_… for production environments, coss_test_… for sandbox environments.

Path Parameters

id*string

The audience's id.

Header Parameters

Coss-Version?"2026-10-10"

The API version (a date) to use for this request. Defaults to your organization's version, pinned to the latest one when it first used the API and upgraded from the dashboard. The SDK always sends the version it was built for.

Value in"2026-10-10"

Request Body

application/json
  1. body
name*string
Length1 <= length <= 200

Response Body

The audience.

application/json
  1. response
object*"audience"
Value in"audience"
id*string
name*string
contact_count*integer

Members, whatever their status.

created_at*string
Formatdate-time
updated_at*string
Formatdate-time
import { Coss } from "coss";const coss = new Coss({  apiKey: process.env.COSS_API_KEY,  baseUrl: "https://api.coss.com",});const { data, error } = await coss.email.audiences.update("aud_01k7c8m4q2f3e9v6t5r1n0p8yz", {  name: "Early access",});
{  "object": "audience",  "id": "aud_01k7c8m4q2f3e9v6t5r1n0p8yz",  "name": "Beta testers",  "contact_count": 42,  "created_at": "2026-10-10T12:00:00.000Z",  "updated_at": "2026-10-10T12:00:00.000Z"}